跳到主要内容

List All Convert Pairs

API used to list all convert pairs.

EndPoint​

POST /binancepay/openapi/otc-portal/get-to-selector

Request Parameters​

AttributesTypeRequiredLimitationDescription
fromAssetstringYValid currency, must be in uppercaseCurrency to query, for e.g, USDT

Sample Request Parameter​

{
"fromAsset": USDT
}

Response Parameters​

AttributesTypeRequiredLimitationDescription
statusstringY"SUCCESS" or "FAIL"status of the API request
codestringY-request result code, refer to
dataConvertPairRespN-response body, refer to
errorMessagestringNmaximum length 256

Child Attribute​

ConvertPairResp​

AttributesTypeRequiredLimitationDescription
toListConvertPairDataYConvert data, refer to
coinstringYCurrency from the request parameter

ConvertPairData​

AttributesTypeRequiredLimitationDescription
coinstringYTo asset
fromMindecimalYFrom asset minimum amount
fromMaxdecimalYFrom asset maximum amount
toMindecimalYTo asset minimum amount
toMaxdecimalYTo asset maximum amount
reversebooleanYReverse convert available
basebooleanYIs base

Sample Response​

{
"status": "SUCCESS",
"code": "000000",
"data": {
"coin": "USDT",
"toList": [
{
"coin": "BTC",
"fromMin": 2E+1,
"fromMax": 7E+5,
"toMin": 0.0008,
"toMax": 35.1,
"reverse": true,
"base": true
}
]
}
}
{
"status": "FAIL",
"code": "400003",
"errorMessage": "Timestamp for this request is outside of the recvWindow."
}

Result Code​

NameCodeReasonSolution
UNKNOWN_ERROR400000An unknown error occurred while processing the request.Try again later
INVALID_REQUEST400001Parameter format is wrong or parameter transferring doesn't follow the rules.Please check whether the parameters are correct.
INVALID_SIGNATURE400002Incorrect signature resultCheck whether the signature parameter and method comply with signature algorithm requirements.
INVALID_TIMESTAMP400003Timestamp for this request is outside of the time window.Sync server clock
INVALID_API_KEY_OR_IP400004API identity key not found or invalid.Check API identity key
BAD_API_KEY_FMT400005API identity key format invalid.Check API identity key.
BAD_HTTP_METHOD400006Request method not supported.Check Request method.
MEDIA_TYPE_NOT_SUPPORTED400007Media type not supported.Check Request Media type.
INVALID_REQUEST_BODY400008Request body is not a valid json object.Check Request body
MANDATORY_PARAM_EMPTY_OR_MALFORMED400100A parameter was missing/empty/null, or malformed.
INVALID_PARAM_WRONG_LENGTH400101A parameter was not valid, was empty/null, or too long/short, or wrong format.
INVALID_PARAM_WRONG_VALUE400102A parameter was not valid, the value is out of range.
INVALID_PARAM_ILLEGAL_CHAR400103A parameter was not valid, contains illegal characters
INVALID_REQUEST_TOO_LARGE400104Invalid request, content length too large